module Atmos
   module Exceptions

      class AtmosException < Exception
      end
   
      class ArgumentException < AtmosException
      end

      class AuthException < AtmosException
      end
   
      class InvalidStateException < AtmosException
      end
   
      class NoSuchObjectException < AtmosException
      end
   
      class ServerException < AtmosException
      end

      class NotImplementedException < AtmosException
      end
   
      class InternalLibraryException < AtmosException
      end
   end
end
