require 'rubygems'
require 'test/unit'
require File.dirname(__FILE__) + '/../lib/atmos'


class AtmosRequestTest < Test::Unit::TestCase

   def dont_test_signature_calculation
      headers = {}

      verb = 'post'
      uid = '6039ac182f194e15b9261d73ce044939/user1'
      url = "https://mgmt.atmosonline.com/rest/objects"
      secret = 'LJLuryj6zs8ste6Y3jTGQp71xq0='
      
      headers['Date']                = 'Thu, 05 Jun 2008 16:38:19 GMT'
      headers['Content-Type']        = 'application/octet-stream'
      headers['x-emc-date']          = 'Thu, 05 Jun 2008 16:38:19 GMT'
      headers['x-emc-groupacl']      = 'other=NONE'
      headers['x-emc-listable-meta'] = 'part4/part7/part8=quick'
      headers['x-emc-meta']          = 'part1=buy'
      headers['x-emc-uid']           = uid 
      headers['x-emc-useracl']       = 'john=FULL_CONTROL,mary=WRITE'
      
      assert_equal('WHJo1MFevMnK4jCthJ974L3YHoo=', Atmos::Request::calculate_signature(verb, secret, url, headers))
   end


   def test_something_or_other

   
      store = Atmos::Store.new(:url    => 'https://10.5.113.71',
                            :uid    =>'69eb3dc3bf9746f895d1ce12ae1d9589/dragaf-test',
                            :secret => 'p97mki4AkiAyVi+/7QpdxFAU/jY=',
                            :unsupported => true
                         )

   end
   
   
   def test_http_bad_signature
         store = Atmos::Store.new(:url    => 'http://10.5.113.71',
                              :uid    => '69eb3dc3bf9746f895d1ce12ae1d9589/dragaf-test',
                              :secret => 'p97mki4AkiAyVi+/7QpdxFAU/jY=',
                              :unsupported => true
                              )

end
end
